<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>Uses of Interface jdraw.framework.Figure (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface jdraw.framework.Figure (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../jdraw/framework/package-summary.html">Package</a></li>
<li><a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Class</a></li>
<li class="navBarCell1Rev">Use</li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?jdraw/framework/class-use/Figure.html" target="_top">Frames</a></li>
<li><a href="Figure.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface jdraw.framework.Figure" class="title">Uses of Interface<br>jdraw.framework.Figure</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="jdraw.framework">
<!--   -->
</a>
<h3>Uses of <a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a> in <a href="../../../jdraw/framework/package-summary.html">jdraw.framework</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../jdraw/framework/package-summary.html">jdraw.framework</a> that return <a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a></code></td>
<td class="colLast"><span class="typeNameLabel">Figure.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/Figure.html#clone--">clone</a></span>()</code>
<div class="block">Returns a clone of this figure.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a></code></td>
<td class="colLast"><span class="typeNameLabel">FigureEvent.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/FigureEvent.html#getFigure--">getFigure</a></span>()</code>
<div class="block">Returns the figure which changed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a></code></td>
<td class="colLast"><span class="typeNameLabel">DrawModelEvent.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/DrawModelEvent.html#getFigure--">getFigure</a></span>()</code>
<div class="block">Returns the figure which initiated the event.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a></code></td>
<td class="colLast"><span class="typeNameLabel">FigureHandle.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/FigureHandle.html#getOwner--">getOwner</a></span>()</code>
<div class="block">Gets the handle's owner.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../jdraw/framework/package-summary.html">jdraw.framework</a> that return types with arguments of type <a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Iterable&lt;<a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">FigureGroup.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/FigureGroup.html#getFigureParts--">getFigureParts</a></span>()</code>
<div class="block">Returns the parts of a figure which consists of several parts.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Iterable&lt;<a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DrawModel.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/DrawModel.html#getFigures--">getFigures</a></span>()</code>
<div class="block">Returns an iterator which can be used to iterate over all figures of a
 draw model.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">DrawView.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/DrawView.html#getSelection--">getSelection</a></span>()</code>
<div class="block">Returns a list which contains the currently selected figures.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../jdraw/framework/package-summary.html">jdraw.framework</a> with parameters of type <a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DrawModel.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/DrawModel.html#addFigure-jdraw.framework.Figure-">addFigure</a></span>(<a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;f)</code>
<div class="block">Adds a new figure to the draw model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DrawView.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/DrawView.html#addToSelection-jdraw.framework.Figure-">addToSelection</a></span>(<a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;f)</code>
<div class="block">Adds a figure to the selected figures.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DrawModel.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/DrawModel.html#removeFigure-jdraw.framework.Figure-">removeFigure</a></span>(<a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;f)</code>
<div class="block">Removes a given figure from the draw model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DrawView.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/DrawView.html#removeFromSelection-jdraw.framework.Figure-">removeFromSelection</a></span>(<a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;f)</code>
<div class="block">Removes a figure from the selected figures.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">DrawModel.</span><code><span class="memberNameLink"><a href="../../../jdraw/framework/DrawModel.html#setFigureIndex-jdraw.framework.Figure-int-">setFigureIndex</a></span>(<a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;f,
              int&nbsp;index)</code>
<div class="block">Sets the index of a given figure.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../jdraw/framework/package-summary.html">jdraw.framework</a> with parameters of type <a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../jdraw/framework/DrawModelEvent.html#DrawModelEvent-jdraw.framework.DrawModel-jdraw.framework.Figure-jdraw.framework.DrawModelEvent.Type-">DrawModelEvent</a></span>(<a href="../../../jdraw/framework/DrawModel.html" title="interface in jdraw.framework">DrawModel</a>&nbsp;source,
              <a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;figure,
              <a href="../../../jdraw/framework/DrawModelEvent.Type.html" title="enum in jdraw.framework">DrawModelEvent.Type</a>&nbsp;type)</code>
<div class="block">Constructs a DrawModelEvent object with the specified model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../jdraw/framework/FigureEvent.html#FigureEvent-jdraw.framework.Figure-">FigureEvent</a></span>(<a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;source)</code>
<div class="block">Constructs a FigureEvent object with the specified figure.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../jdraw/framework/package-summary.html">Package</a></li>
<li><a href="../../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Class</a></li>
<li class="navBarCell1Rev">Use</li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?jdraw/framework/class-use/Figure.html" target="_top">Frames</a></li>
<li><a href="Figure.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
